Package be.fgov.ehealth.rn.registries.commons.v1

# Class ValidationErrors

java.lang.Object
be.fgov.ehealth.rn.registries.commons.v1.ValidationErrors

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class ValidationErrors extends Object implements Serializable
Type defining the structure of the part of the response containing errors in the validation of the input

Java class for ValidationErrorsType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ValidationErrorsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ValidationError" type="{urn:be:fgov:ehealth:rn:registries:commons:v1}DetailedStatusType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidationErrors()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<DetailedStatusType>`
  `getValidationErrors()`
  Gets the value of the validationErrors property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidationErrors

    public ValidationErrors()

- ## Method Details

  - ### getValidationErrors

    public List<DetailedStatusType> getValidationErrors()
    Gets the value of the validationErrors property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the validationErrors property.

    For example, to add a new item, do as follows:

         getValidationErrors().add(newItem);

    Objects of the following type(s) are allowed in the list `DetailedStatusType`

    Returns:
      The value of the validationErrors property.